/* * 版 本 PIT-ADMS V7.0.3 敏捷开发框架
 * Copyright (c) 2013-2018 Hexagon PPM
 * 创建人：超级管理员
 * 日  期：2022-01-30 15:58
 * 描  述：图纸同步
 */
var drawingFileID = request('drawingFileID');
var ProjectId = request('ProjectId');
var bootstrap = function ($, learun) {
    "use strict";
    var page = {
        init: function () {
            page.initGird();
            page.bind();
        },
        bind: function () {
            // 刷新
            $('#lr_refresh').on('click', function () {
                location.reload();
            });
        },
        initGird: function () {
            $('#gridtable').jfGrid({
                url: top.$.rootUrl + '/ZZDT_EC/ec_drawing_syn/GetList',
                headData: [
                    { label: '版本', name: 'FileVersion', width: 150, align: "center", sort: false },
                    { label: '描述', name: 'Remark', width: 300, align: "left", sort: false },
                    { label: '创建人', name: 'CreateUserName', width: 120, align: "center", sort: false },
                    { label: '创建时间', name: 'CreateTime', width: 150, align: "center", sort: false },
                    { label: '', name: '', width: 1, sort: false }
                ],
                mainId: 'DrawingSynID'
            });
            page.search();
        },
        search: function (param) {
            param = param || {};
            param.DrawingFileID = drawingFileID;
            param.ProjectId = ProjectId;
            $('#gridtable').jfGridSet('reload', { queryJson: JSON.stringify(param) });
        }
    };
    page.init();
}
